/*
Copyright (C) 2022 Taisuke Kobayashi
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
class Kubun{
    constructor(){
	this.vali = 0
	this.mode_list = ['閲覧', '選択']
	this.mode = 0
	this.data = null
    }

    top(retf, val, i){
	this.retf = retf
	this.val = val
	this.vali = i
	let s =
`<button onClick="kubun.modoru()">戻る</button>\
<button class="joutai">${this.mode_list[this.mode]}</button>\
<button onClick="kubun.change_mode(0)">閲覧</button>\
<button onClick="kubun.change_mode(1)">選択</button>\
<button onClick="kubun.clear()">Clr</button><br>
<input type="text" size="25" id="kubun" value="${this.val}"><br>
${this.make_button()}`
	index.div.innerHTML = s
	this.obj = document.getElementById('kubun')
    }

    change_mode(mode){
	this.mode = mode
	this.top(this.retf, this.val, this.vali)
    }
    
    
    modoru(){
	this.retf(this.obj.value)
    }

    clear(){
	this.obj.value = ''
    }

    button(v){
	if(this.mode == 1){
	    this.shousai(v)
	    return
	}
	this.obj.value = v
	this.modoru()
    }

    shousai(v){
	let da = get_reversed_data() // 日付で。
	let s =
`${v} 区${this.vali+1}<button class="c1" onClick="kubun.change_mode(1)">戻る</button><br>
<table border="1"><tr><td>日付</td><td>件1</td><td>件2</td><td>区${this.vali+1}</td><td>data</td></tr>`
	// key:key,value:種類(新規 削除 変更),元key,登録日時,状態,日時,件1,件2,区1,区2,区3,区4,区5,区6
	//     0         1                    2     3        4    5    6   7   8   9   10  11  12  13
	// 20220914-0900-水	
	for(let i = 0; i < da.length; i++){
	    let a = da[i].split(kugiri)
	    if(a[8+this.vali].length == 0)
		continue
	    if(a[8+this.vali] != v)
		continue
	    s +=
`<tr><td>${a[5].substr(4, 2)}/${a[5].substr(6, 2)} ${a[5].substr(-1, 1)}</td>
<td>${a[6]}</td><td>${a[7]}</td><td>${a[8+this.vali]}</td><td>${da[i]}</td></tr>`
	}
	s += '</table>'
	index.div.innerHTML = s
    }
    
    make_button(){
	let a = this.make_str().split(kugiri), r = '', n = 0, n1 = 0
	for(let j = 0; j < a.length-1; j++){
	    if(a[j] == '')
		continue                 
	    r += `<button onClick=kubun.button("${a[j]}")>${a[j]}</button>`
	    n += a[j].length
	    if(j < a.length-2)
		n1 = a[j+1].length
	    else
		n1 = 0
	    if(n+n1 > 14){ // 25/2
		r += '<br>'
		n = 0
	    }
	}
	return r                 
    }

    make_str(){
	let da = data.get_all()
	da.reverse() // keyで。
	let r = ''
	for(let i = 0; i < da.length; i++){
	    let a = da[i].split(kugiri)
	    let k1 = a[8+this.vali]
	    if(k1.length == 0)
		continue
	    k1 = `${kugiri}${k1}${kugiri}`
	    if(r.indexOf(k1) >= 0)
		continue
	    r += k1
	}
	return r.substr(1).replace(/,,/g, ",") // 最後に,が残る。
    }
}
